import ProjectDescription

let workspace = Workspace(
    name: "Stripe",
    projects: [
        "Stripe",
        "Stripe3DS2",
        "StripeApplePay",
        "StripeCameraCore",
        "StripeCardScan",
        "StripeCore",
        "StripeFinancialConnections",
        "StripeIdentity",
        "StripePayments",
        "StripePaymentsUI",
        "StripePaymentSheet",
        "StripeUICore",
        "Testers/IntegrationTester",
        "Testers/LocalizationTester",
        "Example/UI Examples",
        "Example/FinancialConnections Example",
        "Example/CardImageVerification Example",
        "Example/IdentityVerification Example",
        "Example/Non-Card Payment Examples",
        "Example/Basic Integration",
        "Example/PaymentSheet Example",
        "Example/AppClipExample",
    ],
    schemes: [
        Scheme(
            name: "AllStripeFrameworks",
            buildAction: .buildAction(targets: [
                .project(path: "Stripe", target: "StripeiOS"),
                .project(path: "StripeApplePay", target: "StripeApplePay"),
                .project(path: "StripeCameraCore", target: "StripeCameraCore"),
                .project(path: "StripeCardScan", target: "StripeCardScan"),
                .project(path: "StripeCore", target: "StripeCore"),
                .project(path: "StripePayments", target: "StripePayments"),
                .project(path: "StripePaymentsUI", target: "StripePaymentsUI"),
                .project(path: "StripePaymentSheet", target: "StripePaymentSheet"),
                .project(path: "StripeUICore", target: "StripeUICore"),
                .project(path: "StripeIdentity", target: "StripeIdentity"),
                .project(path: "StripeFinancialConnections", target: "StripeFinancialConnections"),
                .project(path: "Stripe3DS2", target: "Stripe3DS2"),
            ])
        ),
        Scheme(
            name: "AllStripeFrameworksCatalyst",
            buildAction: .buildAction(targets: [
                .project(path: "Stripe", target: "StripeiOS"),
                .project(path: "StripeApplePay", target: "StripeApplePay"),
                .project(path: "StripeCore", target: "StripeCore"),
                .project(path: "StripePayments", target: "StripePayments"),
                .project(path: "StripePaymentsUI", target: "StripePaymentsUI"),
                .project(path: "StripePaymentSheet", target: "StripePaymentSheet"),
                .project(path: "StripeUICore", target: "StripeUICore"),
                .project(path: "Stripe3DS2", target: "Stripe3DS2"),
            ])
        ),
    ],
    additionalFiles: [
        "Package.swift",
    ],
    generationOptions: .options(
        autogeneratedWorkspaceSchemes: .disabled
    )
)
